<?php
/**
 * Customizer option for split post
 *
 * @author Jegtheme
 * @since 1.0.0
 * @package epic-split-post
 */

namespace EPIC\SP;

use Jeg\Customizer\Customizer;

/**
 * Class SP Customizer
 *
 * @package EPIC\SP
 */
class Sp_Customizer {

	/**
	 * Sp_Meta_Box constructor.
	 */
	public function __construct() {
		add_action( 'jeg_register_customizer_option', array( $this, 'register_lazy_section' ), 91 );
		add_filter( 'jeg_register_lazy_section', array( $this, 'load_customizer' ) );
	}

	/**
	 * Register Lazy Customizer
	 */
	public function register_lazy_section() {
		$customizer = Customizer::get_instance();

		$customizer->add_section( array(
			'id'       => 'epic_sp_section',
			'title'    => esc_html__( 'EPIC: Split Post Setting', 'epic-sp' ),
			'panel'    => '',
			'priority' => 171,
			'type'     => 'jeg-lazy-section',
		) );
	}

	/**
	 * Load Customizer
	 *
	 * @param array $result Array list of section.
	 *
	 * @return mixed
	 */
	public function load_customizer( $result ) {
		$result['epic_sp_section'][] = EPIC_SP_DIR . '/includes/options/options.php';

		return $result;
	}
}
