<?php
/**
 * @author : Jegtheme
 */

namespace EPIC\SP\Type;

/**
 * Class Theme JNews_Post_Split
 */
class Sp_Type_2 extends Sp_Type_Abstract {

	/**
	 * Render Split Content Element
	 *
	 * @return mixed
	 */
	public function render() {
		$output  = $this->before_content;
		$output .= '<div class="top-split-nav">' . $this->drop_section() . '</div>';
		$output .= $this->render_content();
		$output .= $this->drop_section();
		$output .= $this->bottom_nav();

		return $output;
	}

	/**
	 * Render drop section
	 *
	 * @return string
	 */
	public function drop_section() {
		$output =
			'<div class="jeg_splitpost_bar jeg_splitpost_2">
                <div class="nav_wrap">
                    ' . $this->current_title() . '
                    ' . $this->split_post_nav() . '
                </div>
            </div>';

		return $output;
	}

	/**
	 * Bottom Navigation
	 *
	 * @return string
	 */
	public function bottom_nav() {
		$previous_class = '';
		$previous_title = '';
		$previous_url   = '';
		$next_class     = '';
		$next_title     = '';
		$next_url       = '';
		$previous_index = 0;
		$next_index     = 0;

		if ( isset( $this->all_title[ $this->index - 1 ] ) ) {
			$previous_title = $this->all_title[ $this->index - 1 ];
			$previous_url   = $this->get_page_link_url( $this->current_page - 1 );
			$previous_index = $this->index - 1;
		}

		if ( isset( $this->all_title[ $this->index + 1 ] ) ) {
			$next_title = $this->all_title[ $this->index + 1 ];
			$next_url   = $this->get_page_link_url( $this->current_page + 1 );
			$next_index = $this->index + 1;
		}

		if ( 0 === $this->index ) {
			$previous_class = 'hide';
		}

		if ( $this->current_page === $this->max_page ) {
			$next_class = 'hide';
		}

		$previous =
			'<div class="page_nav prev ' . $previous_class . '">
                <a href="' . $previous_url . '">
                    <span>' . esc_html__( 'Previous', 'epic-sp' ) . '</span>
                    <strong>' . $previous_title . '</strong>
                </a>
            </div>';

		$next =
			'<div class="page_nav next ' . $next_class . '">
                <a href="' . $next_url . '">
                    <span>' . esc_html__( 'Next', 'epic-sp' ) . '</span>
                    <strong>' . $next_title . '</strong>
                </a>
            </div>';

		$output =
			'<div class="jeg_bottomnav clearfix">
                <div class="pagenav_wrap">
                    ' . $previous . '
                    ' . $next . '
                </div>
            </div>';

		return $output;
	}

	/**
	 * Get Type of Split Content
	 *
	 * @return mixed
	 */
	public function get_split_type() {
		return '2';
	}
}

