<?php
/**
 * @author : Jegtheme
 */

namespace EPIC\SP\Type;

/**
 * Class Theme JNews_Post_Split
 */
class Sp_Type_3 extends Sp_Type_Abstract {

	/**
	 * Render Split Content Element
	 *
	 * @return mixed
	 */
	public function render() {
		$output  = $this->before_content;
		$output .= '<div class="top-split-nav">' . $this->drop_section() . '</div>';
		$output .= $this->render_content();
		$output .= $this->drop_section();

		return $output;
	}

	/**
	 * Render drop section
	 *
	 * @return string
	 */
	public function drop_section() {
		$previous_class = ( 1 === $this->current_page ) ? 'disable' : '';
		$previous_url   = $this->get_page_link_url( $this->current_page - 1 );

		$next_class = ( $this->current_page === $this->max_page ) ? 'disable' : '';
		$next_url   = $this->get_page_link_url( $this->current_page + 1 );

		$output =
			'<div class="jeg_splitpost_bar jeg_splitpost_3">
                <div class="nav_wrap">
                    ' . $this->current_title() . '
                    ' . $this->split_post_nav() . '
                </div>
                <div class="pagenav_wrap">
                    <div class="page_nav prev ' . $previous_class . '">
                        <a href="' . $previous_url . '"><span>' . esc_html__( 'Previous', 'epic-sp' ) . '</span></a>
                    </div>
                    <div class="page_nav next ' . $next_class . '">
                        <a href="' . $next_url . '"><span>' . esc_html__( 'Next', 'epic-sp' ) . '</span></a>
                    </div>
                </div>
            </div>';

		return $output;
	}

	/**
	 * Get Type of Split Content
	 *
	 * @return mixed
	 */
	public function get_split_type() {
		return '3';
	}

}

