<?php

$options = array();

$options[] = array(
	'id'          => 'sp_option[split_loader]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => 'dot',
	'type'        => 'jeg-select',
	'label'       => esc_html__( 'Post Split Loader Style', 'epic-sp' ),
	'description' => esc_html__( 'Choose loader style for post split.', 'epic-sp' ),
	'choices'     => array(
		'dot'    => esc_html__( 'Dot', 'epic-sp' ),
		'circle' => esc_html__( 'Circle', 'epic-sp' ),
		'square' => esc_html__( 'Square', 'epic-sp' ),
	),
	'output'      => array(
		array(
			'method'   => 'class-masking',
			'element'  => '.split-overlay  .preloader_type',
			'property' => array(
				'dot'    => 'preloader_dot',
				'circle' => 'preloader_circle',
				'square' => 'preloader_square',
			),
		),
	),
);

$options[] = array(
	'id'          => 'sp_option[split_bg_color]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => '#f70d28',
	'type'        => 'jeg-color',
	'label'       => esc_html__( 'Active Background Color', 'epic-sp' ),
	'description' => esc_html__( 'Background color for active post navigation.', 'epic-sp' ),
	'output'      => array(
		array(
			'method'   => 'inject-style',
			'element'  => '.jeg_pagenav_1 .page_number.active, .jeg_pagenav_1 .page_number.active:hover, .jeg_pagenav_3 .page_number:hover',
			'property' => 'border-color',
		),
		array(
			'method'   => 'inject-style',
			'element'  => '.jeg_splitpost_4 .page_nav, .jeg_splitpost_5 .page_nav, .jeg_pagenav_1 .page_number.active, .jeg_pagenav_1 .page_number.active:hover',
			'property' => 'background',
		),
	),
);

$options[] = array(
	'id'          => 'sp_option[split_text_color]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => '#ffffff',
	'type'        => 'jeg-color',
	'label'       => esc_html__( 'Active Navigation Text Color', 'epic-sp' ),
	'description' => esc_html__( 'Text color for active post navigation.', 'epic-sp' ),
	'output'      => array(
		array(
			'method'   => 'inject-style',
			'element'  => '.jeg_splitpost_4 .page_nav, .jeg_splitpost_5 .page_nav, .jeg_pagenav_1 .page_number.active, .jeg_pagenav_1 .page_number.active:hover, .jeg_pagenav_3 .page_number:hover',
			'property' => 'color',
		),
	),
);

return $options;
